Loading...
Searching...
No Matches
DataProvider::Observer Class Reference

This abstract class represents an observer that will get notified by the subject it observes. More...

`#include <Observer.qc.dox.h>`

## Public Member Functions

abstract | update (string event_id, hash< auto > data_)
| This method is called when an event is raised.

## Detailed Description

This abstract class represents an observer that will get notified by the subject it observes.

## Member Function Documentation

## update()

abstract DataProvider::Observer::update | ( | string | event_id,
|  | hash< auto > | data_ )

This method is called when an event is raised.

Parameters

  event_id | unique ID identifying an event type or class
  data_ | the data generated by the Observable event source